
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript[容易忽视的错误]：当续行遇到换行，换行符丢失 / 憋错料</title>

    <meta name="description" content="JavaScript[容易忽视的错误]：当续行遇到换行，换行符丢失 1.引言 在JavaScript中,当定义一个大的字符串,特别是有换行情况时,为了看起来整齐.易读,一般使用续行符,例如: var script = &quot;var chart = anychart.pieChart([ ['Chocolate paste', 5], ['White honey', 2], ['Strawberry jam', 2], ['Сondensed milk', 1] ]); //chart.bounds(0, 0, 100%,100%); var stage = ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript[容易忽视的错误]：当续行遇到换行，换行符丢失</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>1、引言</h2>
<p>在JavaScript中，当定义一个大的字符串，特别是有换行情况时，为了看起来整齐、易读，一般使用续行符，例如：</p>
<pre>	var script = &quot;var chart = anychart.pieChart([                [&#039;Chocolate paste&#039;, 5],                [&#039;White honey&#039;, 2],                [&#039;Strawberry jam&#039;, 2],                [&#039;Сondensed milk&#039;, 1]            ]);			//chart.bounds(0, 0, 100%,100%);			var stage = anychart.graphics.create(&#039;container&#039;, 600, 400);            stage.container(&#039;container&#039;);            chart.container(stage).draw();       	&quot;;</pre>
<h2>2、问题</h2>
<p>如果我们直接拿这段代码去执行，就会发现结果和最初的预想大相径庭，为什么呢？</p>
<h2>3、问题分析</h2>
<p>因为，作为脚本，使用续行符时，只是保证字符串的连续性和合法（说明这时一个完整的串），但不会将换行符也包含在字符串中。也就是说，上面的代码中，script串将不会包含换行符。这是一个很严重的问题，如果串为脚本代码，且含有行注释符（”//“），则会改变了原有的逻辑，行注释符后面的代码将都被注释掉，不会被执行。</p>
<p>举个例子，下面这个例子通过将脚本代码编码，然后发送到后台执行（如在Node.js中执行），这里为了演示方便，只是简单的遍解码：</p>
<pre>&lt;textarea id=&quot;textarea1&quot; rows=&quot;15&quot; cols=&quot;53&quot;&gt;&lt;/textarea&gt;

&lt;script lang=&quot;javascript&quot;&gt;
	var script = &quot;var chart = anychart.pieChart([                [&#039;Chocolate paste&#039;, 5],                [&#039;White honey&#039;, 2],                [&#039;Strawberry jam&#039;, 2],                [&#039;Сondensed milk&#039;, 1]            ]);			//chart.bounds(0, 0, 100%,100%);			var stage = anychart.graphics.create(&#039;container&#039;, 600, 400);            stage.container(&#039;container&#039;);            chart.container(stage).draw();       	&quot;;
  	var  script_out = encodeURIComponent( script);
  	var textarea1 = document.getElementById(&#039;textarea1&#039;);
  	textarea1.value = decodeURIComponent(script_out);

&lt;/script&gt;
</pre>
<p>运行结果</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MTQxMDQ2NTU5NTM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>可以看到字符串script中的换行符丢失，代码乱成一团，特别是</p>
<pre>//chart.bounds(0, 0, 100%,100%);</pre>
<p>这一行和后面的行连成了一体，假设执行这段代码，这其后面的代码均不会被执行。</p>
<h2>4、解决办法</h2>
<p>在有行注释的代码后加上换行符\n，避免后面的代码被注释掉，或者使用范围注释符（/* */）对代码进行注释。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MTQxMDQ2MzUxNDk/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>版权声明：本文为博主原创文章，未经博主允许不得转载。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 19:07:31 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.biecuoliao.com/tag/%e7%bb%ad%e8%a1%8c%e7%ac%a6%e9%97%ae%e9%a2%98/" title="续行符问题">续行符问题</a>, <a href="https://www.biecuoliao.com/tag/%e5%9b%9e%e8%bd%a6%e7%ac%a6%e4%b8%a2%e5%a4%b1/" title="回车符丢失">回车符丢失</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>JavaScript[容易忽视的错误]：当续行遇到换行，换行符丢失的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6DYWW3.html" rel="bookmark">jQuery开发中容易忽视的错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.引用jQuery库文件的&lt;script&gt;标签,必须放在引用自定义脚本文件的&lt;script&gt;标签之前,否则,就会发生找不到对象:最好在&lt;head&gt;元素中,把引入样式表的&lt;link /&gt;放在&lt;script&gt;标签前面:有时候其他的javascript库也会用$符号,为了不冲突,可以使用.noConflict()方法把控制权交给别的库.    &lt;script src=&quot;prototype.js&quot; type=&quot;tex			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dARmg3.html" rel="bookmark">《JAVASCRIPT高级程序设计》错误处理与调试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.错误处理 错误处理在程序设计中的重要性是毋庸置疑的,任何有影响力的web应用程序都需要一套完善的错误处理机制.良好的错误机制可以让用户得到提醒,知道发生了什么事. 1.try-catch语句 try-catch语句是javascript处理异常的一种标准方式,它的结构如下: try{ // 把所有可能出现错误的代码放在try语句中 }catch(err){ // 把用于处理错误的块放在catch语句中 // catch块会接受到一个保存错误信息的对象 // 该对象的message属性是唯一一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bOlpm3.html" rel="bookmark">JavaScript 被忽视的细节</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				语句/表达式 换个角度理解语句(statemaents)和表达式(expressions):表达式不会改变程序的运行状态,而语句会.还有一种叫做表达式语句,可以理解为表达式和语句的交集,如({a:1}).&quot;use strict;&quot;等,我觉得没必要死扣,意义不大. 字符集 ES3 要求 JS 必须实现 Unicode 2.1 及后续版本,而 ES5 只要求支持 Unicode 3 及后续版本.Unicode 字符 2005 年超过了十万字符,至今仍在不断增修,最新版本是 8.0. 分号			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wqDRYM.html" rel="bookmark">javascript之处理Ajax错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用Ajax须留心两类错误.它们的区别源于视角的不同. 第一类错误是从XMLHttpRequest对象的角度看到的问题:某些因素阻止了请求发送到服务器,例如DNS无法解析主机名,连接请求被拒绝,或者URL无效. 第二类错误是从应用程序的角度看到的问题:它们发生于请求成功发送至服务器,服务器接受请求,进行处理并生成响应,但该相应并不指向你期望的内容时.例如:如果你请求的URL不存在,这类问题就会发生. 有三种方式可以处理这些错误,如下代码所示: &lt;!DOCTYPE html&gt; &lt;html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MW2dRL4.html" rel="bookmark">javascript学习笔记 常见错误和调试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				常见错误一:未定义的变量 abc=23; var abc=23; 若没有var也可运行,隐式地创建了一个新的全局变量abc,严格定义变量应该使用var关键字. 常见错误二:区分大小写 var myName=&quot;Jim&quot;; If (myName==&quot;jim&quot;) alert(myName.toUppercase()); 以上代码中有三处错误:Jim和jim的首字母J不一样,关键字if写成了If,toUpperCase()方法中的字母C应该是大写的. 常见错误三:不匹配的大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38gEyl0.html" rel="bookmark">JavaScript  try-catch语句（错误处理）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				try { //可能会导致错误的代码 } catch (error) { //在错误发生时怎么处理 } 链接:https://www.cnblogs.com/iceflorence/p/6593139.html 原文地址:https://www.cnblogs.com/wanlibingfeng/p/10815155.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Apvzz3.html" rel="bookmark">【C&num;】C&num;容易忽视的错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.string 拼接站内存,前提是字符串比较多的时候string 字符串类型拼接占内存,解决方法就是用 StringBuilder和String.Format2.不知道内置的验证数据类型的方法. int output = 0; bool IsNumeric = int.TryParse(value , out output); 3.自己利用IDisposable接口手动释放内存.其实不必这样做,.NET本身的(GC)提供了相应的功能.比如 using(SqlConnection c = new			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEN8GQ0.html" rel="bookmark">深入理解javascript对象系列第三篇&mdash;&mdash;神秘的属性描述符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				× 目录 [1]类型 [2]方法 [3]详述[4]状态 前面的话 对于操作系统中的文件,我们可以驾轻就熟将其设置为只读.隐藏.系统文件或普通文件.于对象来说,属性描述符提供类似的功能,用来描述对象的值.是否可配置.是否可修改以及是否可枚举.本文就来介绍对象中神秘的属性描述符 描述符类型 对象属性描述符的类型分为两种: 数据属性和访问器属性 数据属性 数据属性(data property)包含一个数据值的位置,在这个位置可以读取和写入值.数据属性有4个特性 [1]Configurable(可配置性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wmanNM.html" rel="bookmark">Qt错误 &mdash;&mdash; 无法启动此程序 因为计算机丢失QtCore5&period;dll  以及   无法定位程序输入点于动态链接库QtCore5&period;dll</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,设置计算机的环境变量Path,计算机=&gt;右键属性=&gt;高级设置=&gt;环境变量=&gt;系统变量=&gt;双击Path,在Path后面增加C:\Qt\Qt5.8.0\5.8\mingw53_32\bin. 但是错误依旧. 原来电脑里面装的codeblocks的mingw里面也有Qt库.但是我编译的时候用的是安装的Qt的库,所以造成了找不到动态链接库. 解决方法: 前提:正确配置了qt的环境变量 接着,把qt环境变量尽量放到前面,避免程序误认其他环境变量中包含的qt库(比如我的qt环境变量			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j4Nm523.html" rel="bookmark" class="title">pytoh 小程序</a>
					<div>
						这是在一个文件夹下将符合条件的文件中,第一列是相同的,对每个文件中第二列的数求和,输出为一个txt文件,文件内容格式为:第一列的每个数对应[这个所有符合条件的文件中第一列这个数对应的第二个数的]求和  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMoJmn4.html" rel="bookmark" class="title">网络架构</a>
					<div>
						网络架构: 两种:C/S Client Server 特点: 客户端和服务端都需要填写. 客户端需要维护. 客户端可以分担部分运算. 如大型运算,比如网络游戏. B/S Browser Server  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgXndN0.html" rel="bookmark" class="title">ASP代码审计 -4&period;命令执行漏洞总结</a>
					<div>
						命令执行漏洞: 保存为cmd.asp,提交链接: http://localhost/cmd.asp?ip=127.0.0.1 即可执行命令 &lt;%ip=request(&quot;ip&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEZjng0.html" rel="bookmark" class="title">lua&period;5&period;2&period;3源码阅读&lpar;04&rpar;：Table结构基本操作</a>
					<div>
						table(lobject.h)的结构定义: 1 // TKey结构是一个链表结构,用来存储hash相同 2 // 的所有key,value对结构. 3 typedef union TKey { 4  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVY2aw4.html" rel="bookmark" class="title">随手写写</a>
					<div>
						在公司实习一个多月了,入职的时候还是七月底呢. 一个多月下来,虽然工作也比较忙,比较累,经常因为各种不明白的问题加班加点.但是感觉研发工作还是挺对我胃口,不用扯皮,不用搞些乱七八糟的事情.偶尔开开会, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDdwPKM.html" rel="bookmark" class="title">01Python内置函数&lowbar;集合操作类</a>
					<div>
						basestring basestring() 说明:basestring是str和unicode的超类(父类),也是抽象类, 因此不能被调用和实例化,但可以被用来判断一个对象是否为str或者unic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Momd5l3.html" rel="bookmark" class="title">弹出层代码</a>
					<div>
						&lt;!doctype html&gt;&lt;html&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;title&gt;点击弹出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wyklZM.html" rel="bookmark" class="title">Android&period;技术站点</a>
					<div>
						总结Android相关的技术站点和blog 1. http://android-developers.blogspot.com/ 首推这个blog,有时间需要每篇blog读一遍. 2. nlopez  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02kYnB3.html" rel="bookmark" class="title">Net基础篇&lowbar;学习笔记&lowbar;第十一天&lowbar;面向对象（析构函数）</a>
					<div>
						析构函数与构造函数 析构函数: ~Student() { Console.WriteLine(&quot;我是析构函数&quot;); } 析构函数,当程序结束的时候,析构函数才执行. 帮助我们释放资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41B6ZJM.html" rel="bookmark" class="title">java学习笔记&mdash;&mdash;String类</a>
					<div>
						一.概述 ·字符串是一个特殊的对象 ·字符串一旦初始化就不可以被改变 ·String str = &quot;abc&quot;; ·String str1 = new String(&quot;ab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpOAb3.html" rel="bookmark" class="title">datagridview 绑定 datatable</a>
					<div>
						if (dt != null) { DataGridViewColumn dgvc = null; this.dataGridView1.DataSource = null; this.dataGri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBOqw3.html" rel="bookmark" class="title">WEB前端优化CSS&comma;JS&comma;图片</a>
					<div>
						做网站优化的运维都知道,为了提高网站的访问速度,一般会开启Apache/Nginx gzip功能,将文件压缩,但是这个压缩与我要说的压缩不在一个层面.网上也提供一些在线css.js文件压缩功能.今天介 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a6kxk3.html" rel="bookmark" class="title">导航系统&mdash;&mdash;01实现导航系统</a>
					<div>
						学习笔记适合新手,如有错误请指正.?号处也请各位指点下,谢谢. 导航系统(navigation system)可以让人物在场景里智能地移动.围绕障碍物等 导航系统使用NavMesh来解析环境 建立场景 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPXm7nM.html" rel="bookmark" class="title">线段树の一 区间和</a>
					<div>
						线段树の一 区间和 具体线段树讲解:(搬运)http://blog.csdn.net/zearot/article/details/48299459 一:线段树基本概念 1:概述 线段树,类似区间树, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41nJQXM.html" rel="bookmark" class="title">业务流程建模标记法&lpar;维基百科&rpar;</a>
					<div>
						原文 https://zh.wikipedia.org/wiki/%E4%B8%9A%E5%8A%A1%E6%B5%81%E7%A8%8B%E5%BB%BA%E6%A8%A1%E6%A0%87%E8% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pDy9w4.html" rel="bookmark" class="title">go map用法</a>
					<div>
						本文实例讲述了GO语言映射(Map)用法.分享给大家供大家参考.具体如下: 映射是一种内置的数据结构,用来保存键值对的无序集合. (1)映射的创建 make ( map [KeyType] Value ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qDr5z0.html" rel="bookmark" class="title">解析JSON的四种方式</a>
					<div>
						1.现在的解析数据类型越来越多的是json数据,现在让我们来解析下json数据: 作为一种轻量级的数据交换格式,json正在逐步取代xml,成为网络数据的通用格式. 有的json代码格式比较混乱,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyDadA4.html" rel="bookmark" class="title">YTUOJ-汉字统计</a>
					<div>
						题目描述 统计给定文本文件中汉字的个数. 输入 输入文件首先包含一个整数n,表示测试实例的个数,然后是n段文本,每段文本的中英文字符数总共不超过100个. 输出 对于每一段文本,输出其中的汉字的个数, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kLbNz3.html" rel="bookmark" class="title">&lbrack;Flex&rsqb; flex手机项目如何限制横竖屏？只允许横屏？</a>
					<div>
						flex手机项目如何限制横竖屏?只允许横屏?   有人知道吗?求教.. 工程中 xxx-app.xml 找到&lt;/aspectRatio&gt; 去掉注释 修改为&lt;aspectRatio&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDD5gpM.html" rel="bookmark" class="title">MySQL出现同步延迟如何解决？优化？</a>
					<div>
						工作中常常遇到的问题,叫我很是头疼,稍稍整理了个方案. 1.主从复制的从库太多导致复制延迟 优化:建议从库数量3-5个为宜(具体看自己硬件配置)   2.从库硬件比主库硬件差 优化:提升硬件性能    ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
